#!/bin/bash

# This file is shipped with the archive in which we publish object files
# from a build with statically linked binaries. It can be used to link
# the shipped object files with an external version of glibc. It produces
# the following static executables:
#  - arangod
#  - arangobench
#  - arangodump
#  - arangorestore
#  - arangosh
#  - arangovpack
#  - arangoexport
#  - arangoimport
#  - arangobackup

# Use Ubuntu 24.04 (with glibc 2.39 or later) and install the following
# packages:
#   apt install build-essential clang-16 lld-16 liburing-dev

# Execute in the directory in which you extracted the object archive!

cd build

echo arangod
cd arangod
clang++-16 -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations  -mfxsr -mmmx -msse -msse2 -mcx16 -msahf -mpopcnt -msse3 -msse4.1 -msse4.2 -mssse3 -mpclmul -mavx -mxsave   -fno-stack-protector   -Wsuggest-override -Wnon-virtual-dtor -g -O3 -fno-omit-frame-pointer -fstandalone-debug -Wl,--build-id=sha1   -fno-stack-protector -fuse-ld=lld -static  CMakeFiles/arangod.dir/RestServer/arangod.cpp.o -o ../bin/arangod   -L../3rdParty/jemalloc/lib  -L../3rdParty/zlib/zlib-1.2.13  -L../3rdParty/V8/v7.9.317/x64.release/gypfiles  -L../3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu  -L../3rdParty/rocksdb  -L../bin  -Wl,-rpath,/work/ArangoDB/build/3rdParty/jemalloc/lib:/work/ArangoDB/build/3rdParty/zlib/zlib-1.2.13:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/gypfiles:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu:/work/ArangoDB/build/3rdParty/rocksdb:/work/ArangoDB/build/bin: ../bin/libarangoserver.a ../bin/libarango_iresearch.a ../3rdParty/jemalloc/lib/libjemalloc.a ../bin/libarango_agency.a ../bin/libarango_aql.a ../bin/libarango_cluster_engine.a ../bin/libarango_cluster_methods.a ../bin/libarango_common_rest_handler.a ../bin/libarango_graph.a ../bin/libarango_indexes.a ../bin/libarango_metrics.a ../bin/libarango_network.a ../bin/libarango_pregel.a ../bin/libarango_replication.a ../bin/libarango_storage_engine.a ../bin/libarango_utils.a ../bin/libarango_v8server.a ../bin/libarango_vocbase.a ../bin/libarango_replication2.a ../bin/libarango_rocksdb.a ../bin/libarango_storage_engine_common.a ../bin/libarangoserver.a ../bin/libarango_iresearch.a ../bin/libarango_agency.a ../bin/libarango_aql.a ../bin/libarango_cluster_engine.a ../bin/libarango_cluster_methods.a ../bin/libarango_common_rest_handler.a ../bin/libarango_graph.a ../bin/libarango_indexes.a ../bin/libarango_metrics.a ../bin/libarango_network.a ../bin/libarango_pregel.a ../bin/libarango_replication.a ../bin/libarango_storage_engine.a ../bin/libarango_utils.a ../bin/libarango_v8server.a ../bin/libarango_vocbase.a ../bin/libarango_replication2.a ../bin/libarango_rocksdb.a ../bin/libarango_storage_engine_common.a ../libldap.a ../liblber.a ../bin/libboost_thread.a ../bin/libiresearch-s.a ../bin/libanalyzer-delimiter-s.a ../bin/libanalyzer-ngram-s.a ../bin/libanalyzer-text-s.a ../bin/libanalyzer-norm-s.a ../bin/libanalyzer-minhash-s.a ../bin/libanalyzer-collation-s.a ../bin/libanalyzer-stem-s.a ../bin/libanalyzer-stopwords-s.a ../bin/libanalyzer-pipeline-s.a ../bin/libanalyzer-segmentation-s.a ../bin/libanalyzer-classification-s.a ../bin/libanalyzer-nearest-neighbors-s.a ../bin/libformat-1_0-s.a ../bin/libscorer-bm25-s.a ../bin/libscorer-tfidf-s.a ../bin/libiresearch-s.a ../bin/libanalyzer-delimiter-s.a ../bin/libanalyzer-ngram-s.a ../bin/libanalyzer-text-s.a ../bin/libanalyzer-norm-s.a ../bin/libanalyzer-minhash-s.a ../bin/libanalyzer-collation-s.a ../bin/libanalyzer-stem-s.a ../bin/libanalyzer-stopwords-s.a ../bin/libanalyzer-pipeline-s.a ../bin/libanalyzer-segmentation-s.a ../bin/libanalyzer-classification-s.a ../bin/libanalyzer-nearest-neighbors-s.a ../bin/libformat-1_0-s.a ../bin/libscorer-bm25-s.a ../bin/libscorer-tfidf-s.a ../bin/libsimdcomp-static.a -std=c99 -fPIC -Wextra -pedantic -Wshadow -O3 -g ../bin/libstemmer-static.a ../bin/libtext.a ../bin/libfasttext.a ../bin/libfuerte.a ../bin/libllhttp.a ../bin/libnghttp2.a ../bin/libarango_pregel_with_actors.a ../bin/libarango_v8.a ../bin/libarango_v8_no_deadline.a ../bin/libarango_geo.a ../bin/libarango_health.a ../bin/libarango_cache.a ../bin/libarango_restart_action.a ../bin/libarango_zkd.a ../bin/librocksdb.a ../bin/liblz4.a ../bin/libarango_rclone.a ../bin/libarango.a ../bin/libs2.a ../libssl.a ../libcrypto.a ../bin/libabsl_str_format_internal.a -lv8_base_without_compiler -lv8_compiler -lv8_base_without_compiler -lv8_compiler -ltorque_base -lv8_libplatform -lv8_libsampler -lv8_libbase -lv8_init -lv8_initializers -lv8_snapshot ../bin/libarango_crashhandler.a ../bin/liblinenoise-ng.a ../bin/libzlibstatic.a -latomic -lresolv -lrt -licui18n -licuuc -ldl -ljemalloc ../bin/libarango_lightweight.a ../bin/libarango_futures.a ../bin/libarango_assertions.a ../bin/libboost_system.a ../bin/libfmt.a ../bin/libabsl_cord.a ../bin/libabsl_cordz_info.a ../bin/libabsl_cord_internal.a ../bin/libabsl_cordz_functions.a ../bin/libabsl_cordz_handle.a ../bin/libabsl_crc_cord_state.a ../bin/libabsl_crc32c.a ../bin/libabsl_crc_internal.a ../bin/libabsl_crc_cpu_detect.a ../bin/libabsl_raw_hash_set.a ../bin/libabsl_hash.a ../bin/libabsl_city.a ../bin/libabsl_bad_variant_access.a ../bin/libabsl_low_level_hash.a ../bin/libabsl_bad_optional_access.a ../bin/libabsl_hashtablez_sampler.a ../bin/libabsl_exponential_biased.a ../bin/libarango_static_strings.a ../bin/libabsl_synchronization.a ../bin/libabsl_graphcycles_internal.a ../bin/libabsl_kernel_timeout_internal.a ../bin/libabsl_stacktrace.a ../bin/libabsl_symbolize.a ../bin/libabsl_malloc_internal.a ../bin/libabsl_debugging_internal.a ../bin/libabsl_demangle_internal.a ../bin/libabsl_time.a ../bin/libabsl_strings.a ../bin/libabsl_int128.a ../bin/libabsl_throw_delegate.a ../bin/libabsl_strings_internal.a ../bin/libabsl_base.a ../bin/libabsl_spinlock_wait.a -lrt ../bin/libabsl_raw_logging_internal.a ../bin/libabsl_log_severity.a ../bin/libabsl_civil_time.a ../bin/libabsl_time_zone.a ../bin/libsnappy.a ../3rdParty/libunwind/v1.5/src/.libs/libunwind.a ../bin/libarango-validation.a ../bin/libvelocypack.a
cd ..

echo arangobench
cd client-tools
clang++-16 -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations  -mfxsr -mmmx -msse -msse2 -mcx16 -msahf -mpopcnt -msse3 -msse4.1 -msse4.2 -mssse3 -mpclmul -mavx -mxsave   -fno-stack-protector   -Wsuggest-override -Wnon-virtual-dtor -g -O3 -fno-omit-frame-pointer -fstandalone-debug -Wl,--build-id=sha1   -fno-stack-protector -fuse-ld=lld -static  CMakeFiles/arangobench.dir/Benchmark/arangobench.cpp.o CMakeFiles/arangobench.dir/Benchmark/BenchFeature.cpp.o CMakeFiles/arangobench.dir/Benchmark/BenchmarkOperation.cpp.o CMakeFiles/arangobench.dir/Benchmark/testcases/helpers.cpp.o -o ../bin/arangobench  -L../3rdParty/jemalloc/lib  -L../3rdParty/zlib/zlib-1.2.13  -L../3rdParty/V8/v7.9.317/x64.release/gypfiles  -L../3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu  -L../3rdParty/rocksdb  -L../bin  -Wl,-rpath,/work/ArangoDB/build/3rdParty/jemalloc/lib:/work/ArangoDB/build/3rdParty/zlib/zlib-1.2.13:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/gypfiles:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu:/work/ArangoDB/build/3rdParty/rocksdb:/work/ArangoDB/build/bin: ../bin/libarango.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -ldl -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libboost_system.a ../bin/libarango_shell.a ../bin/libarango.a ../bin/libs2.a ../bin/libabsl_str_format_internal.a ../bin/libarango_crashhandler.a ../bin/liblinenoise-ng.a -lv8_base_without_compiler -lv8_compiler -lv8_base_without_compiler -lv8_compiler -ltorque_base -lv8_libplatform -lv8_libsampler -lv8_libbase -lv8_init -lv8_initializers -lv8_snapshot ../bin/libarango_lightweight.a ../bin/libarango_futures.a ../bin/libarango_static_strings.a ../bin/libabsl_cord.a ../bin/libabsl_cordz_info.a ../bin/libabsl_cord_internal.a ../bin/libabsl_cordz_functions.a ../bin/libabsl_cordz_handle.a ../bin/libabsl_crc_cord_state.a ../bin/libabsl_crc32c.a ../bin/libabsl_crc_internal.a ../bin/libabsl_crc_cpu_detect.a ../bin/libabsl_raw_hash_set.a ../bin/libabsl_hash.a ../bin/libabsl_city.a ../bin/libabsl_bad_variant_access.a ../bin/libabsl_low_level_hash.a ../bin/libabsl_bad_optional_access.a ../bin/libabsl_hashtablez_sampler.a ../bin/libabsl_exponential_biased.a ../bin/libabsl_synchronization.a ../bin/libabsl_graphcycles_internal.a ../bin/libabsl_kernel_timeout_internal.a ../bin/libabsl_stacktrace.a ../bin/libabsl_symbolize.a ../bin/libabsl_malloc_internal.a ../bin/libabsl_debugging_internal.a ../bin/libabsl_demangle_internal.a ../bin/libabsl_time.a ../bin/libabsl_strings.a ../bin/libabsl_strings_internal.a ../bin/libabsl_throw_delegate.a ../bin/libabsl_base.a ../bin/libabsl_spinlock_wait.a -lrt ../bin/libabsl_int128.a ../bin/libabsl_raw_logging_internal.a ../bin/libabsl_log_severity.a ../bin/libabsl_civil_time.a ../bin/libabsl_time_zone.a ../bin/libarango_assertions.a ../bin/libfmt.a ../bin/libsnappy.a ../3rdParty/libunwind/v1.5/src/.libs/libunwind.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libfuerte.a ../bin/libboost_system.a ../bin/libvelocypack.a ../bin/libnghttp2.a ../bin/libllhttp.a 
cd ..

echo arangodump
cd client-tools
clang++-16 -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations  -mfxsr -mmmx -msse -msse2 -mcx16 -msahf -mpopcnt -msse3 -msse4.1 -msse4.2 -mssse3 -mpclmul -mavx -mxsave   -fno-stack-protector   -Wsuggest-override -Wnon-virtual-dtor -g -O3 -fno-omit-frame-pointer -fstandalone-debug -Wl,--build-id=sha1   -fno-stack-protector -fuse-ld=lld -static  CMakeFiles/arangodump.dir/Dump/DumpFeature.cpp.o CMakeFiles/arangodump.dir/Dump/arangodump.cpp.o CMakeFiles/arangodump.dir/__/enterprise/Enterprise/Maskings/AttributeMaskingEE.cpp.o CMakeFiles/arangodump.dir/__/enterprise/Enterprise/Maskings/CreditCardMask.cpp.o CMakeFiles/arangodump.dir/__/enterprise/Enterprise/Maskings/DateMask.cpp.o CMakeFiles/arangodump.dir/__/enterprise/Enterprise/Maskings/DecimalMask.cpp.o CMakeFiles/arangodump.dir/__/enterprise/Enterprise/Maskings/EmailMask.cpp.o CMakeFiles/arangodump.dir/__/enterprise/Enterprise/Maskings/IntegerMask.cpp.o CMakeFiles/arangodump.dir/__/enterprise/Enterprise/Maskings/XifyFront.cpp.o CMakeFiles/arangodump.dir/__/enterprise/Enterprise/Maskings/ZipMask.cpp.o -o ../bin/arangodump   -L../3rdParty/jemalloc/lib  -L../3rdParty/zlib/zlib-1.2.13  -L../3rdParty/V8/v7.9.317/x64.release/gypfiles  -L../3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu  -L../3rdParty/rocksdb  -L../bin  -Wl,-rpath,/work/ArangoDB/build/3rdParty/jemalloc/lib:/work/ArangoDB/build/3rdParty/zlib/zlib-1.2.13:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/gypfiles:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu:/work/ArangoDB/build/3rdParty/rocksdb:/work/ArangoDB/build/bin: ../bin/libarango.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -ldl -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libboost_system.a ../bin/libarango_shell.a ../bin/libarango.a ../bin/libs2.a ../bin/libabsl_str_format_internal.a ../bin/libarango_crashhandler.a ../bin/liblinenoise-ng.a -lv8_base_without_compiler -lv8_compiler -lv8_base_without_compiler -lv8_compiler -ltorque_base -lv8_libplatform -lv8_libsampler -lv8_libbase -lv8_init -lv8_initializers -lv8_snapshot ../bin/libarango_lightweight.a ../bin/libarango_futures.a ../bin/libarango_static_strings.a ../bin/libabsl_cord.a ../bin/libabsl_cordz_info.a ../bin/libabsl_cord_internal.a ../bin/libabsl_cordz_functions.a ../bin/libabsl_cordz_handle.a ../bin/libabsl_crc_cord_state.a ../bin/libabsl_crc32c.a ../bin/libabsl_crc_internal.a ../bin/libabsl_crc_cpu_detect.a ../bin/libabsl_raw_hash_set.a ../bin/libabsl_hash.a ../bin/libabsl_city.a ../bin/libabsl_bad_variant_access.a ../bin/libabsl_low_level_hash.a ../bin/libabsl_bad_optional_access.a ../bin/libabsl_hashtablez_sampler.a ../bin/libabsl_exponential_biased.a ../bin/libabsl_synchronization.a ../bin/libabsl_graphcycles_internal.a ../bin/libabsl_kernel_timeout_internal.a ../bin/libabsl_stacktrace.a ../bin/libabsl_symbolize.a ../bin/libabsl_malloc_internal.a ../bin/libabsl_debugging_internal.a ../bin/libabsl_demangle_internal.a ../bin/libabsl_time.a ../bin/libabsl_strings.a ../bin/libabsl_strings_internal.a ../bin/libabsl_throw_delegate.a ../bin/libabsl_base.a ../bin/libabsl_spinlock_wait.a -lrt ../bin/libabsl_int128.a ../bin/libabsl_raw_logging_internal.a ../bin/libabsl_log_severity.a ../bin/libabsl_civil_time.a ../bin/libabsl_time_zone.a ../bin/libarango_assertions.a ../bin/libfmt.a ../bin/libsnappy.a ../3rdParty/libunwind/v1.5/src/.libs/libunwind.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libfuerte.a ../bin/libboost_system.a ../bin/libvelocypack.a ../bin/libnghttp2.a ../bin/libllhttp.a 
cd ..

echo arangorestore
cd client-tools
clang++-16 -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations  -mfxsr -mmmx -msse -msse2 -mcx16 -msahf -mpopcnt -msse3 -msse4.1 -msse4.2 -mssse3 -mpclmul -mavx -mxsave   -fno-stack-protector   -Wsuggest-override -Wnon-virtual-dtor -g -O3 -fno-omit-frame-pointer -fstandalone-debug -Wl,--build-id=sha1   -fno-stack-protector -fuse-ld=lld -static  CMakeFiles/arangorestore.dir/Restore/arangorestore.cpp.o -o ../bin/arangorestore   -L../3rdParty/jemalloc/lib  -L../3rdParty/zlib/zlib-1.2.13  -L../3rdParty/V8/v7.9.317/x64.release/gypfiles  -L../3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu  -L../3rdParty/rocksdb  -L../bin  -Wl,-rpath,/work/ArangoDB/build/3rdParty/jemalloc/lib:/work/ArangoDB/build/3rdParty/zlib/zlib-1.2.13:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/gypfiles:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu:/work/ArangoDB/build/3rdParty/rocksdb:/work/ArangoDB/build/bin: ../bin/libarango_restore.a ../bin/libarango.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -ldl -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libboost_system.a ../bin/libarango_shell.a ../bin/libarango.a ../bin/libs2.a ../bin/libabsl_str_format_internal.a ../bin/libarango_crashhandler.a ../bin/liblinenoise-ng.a -lv8_base_without_compiler -lv8_compiler -lv8_base_without_compiler -lv8_compiler -ltorque_base -lv8_libplatform -lv8_libsampler -lv8_libbase -lv8_init -lv8_initializers -lv8_snapshot ../bin/libarango_lightweight.a ../bin/libarango_futures.a ../bin/libarango_static_strings.a ../bin/libabsl_cord.a ../bin/libabsl_cordz_info.a ../bin/libabsl_cord_internal.a ../bin/libabsl_cordz_functions.a ../bin/libabsl_cordz_handle.a ../bin/libabsl_crc_cord_state.a ../bin/libabsl_crc32c.a ../bin/libabsl_crc_internal.a ../bin/libabsl_crc_cpu_detect.a ../bin/libabsl_raw_hash_set.a ../bin/libabsl_hash.a ../bin/libabsl_city.a ../bin/libabsl_bad_variant_access.a ../bin/libabsl_low_level_hash.a ../bin/libabsl_bad_optional_access.a ../bin/libabsl_hashtablez_sampler.a ../bin/libabsl_exponential_biased.a ../bin/libabsl_synchronization.a ../bin/libabsl_graphcycles_internal.a ../bin/libabsl_kernel_timeout_internal.a ../bin/libabsl_stacktrace.a ../bin/libabsl_symbolize.a ../bin/libabsl_malloc_internal.a ../bin/libabsl_debugging_internal.a ../bin/libabsl_demangle_internal.a ../bin/libabsl_time.a ../bin/libabsl_strings.a ../bin/libabsl_strings_internal.a ../bin/libabsl_throw_delegate.a ../bin/libabsl_base.a ../bin/libabsl_spinlock_wait.a -lrt ../bin/libabsl_int128.a ../bin/libabsl_raw_logging_internal.a ../bin/libabsl_log_severity.a ../bin/libabsl_civil_time.a ../bin/libabsl_time_zone.a ../bin/libarango_assertions.a ../bin/libfmt.a ../bin/libsnappy.a ../3rdParty/libunwind/v1.5/src/.libs/libunwind.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libfuerte.a ../bin/libboost_system.a ../bin/libvelocypack.a ../bin/libnghttp2.a ../bin/libllhttp.a 
cd ..

echo arangosh
cd client-tools
clang++-16 -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations  -mfxsr -mmmx -msse -msse2 -mcx16 -msahf -mpopcnt -msse3 -msse4.1 -msse4.2 -mssse3 -mpclmul -mavx -mxsave   -fno-stack-protector   -Wsuggest-override -Wnon-virtual-dtor -g -O3 -fno-omit-frame-pointer -fstandalone-debug -Wl,--build-id=sha1   -fno-stack-protector -fuse-ld=lld -static  CMakeFiles/arangosh.dir/Import/AutoTuneThread.cpp.o CMakeFiles/arangosh.dir/Import/ImportHelper.cpp.o CMakeFiles/arangosh.dir/Import/SenderThread.cpp.o CMakeFiles/arangosh.dir/Shell/ShellFeature.cpp.o CMakeFiles/arangosh.dir/Shell/TelemetricsHandler.cpp.o CMakeFiles/arangosh.dir/Shell/V8ClientConnection.cpp.o CMakeFiles/arangosh.dir/Shell/V8ShellFeature.cpp.o CMakeFiles/arangosh.dir/Shell/ProcessMonitoringFeature.cpp.o CMakeFiles/arangosh.dir/Shell/arangosh.cpp.o "CMakeFiles/arangosh.dir/Shell/v8-deadline.cpp.o" -o ../bin/arangosh   -L../3rdParty/jemalloc/lib  -L../3rdParty/zlib/zlib-1.2.13  -L../3rdParty/V8/v7.9.317/x64.release/gypfiles  -L../3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu  -L../3rdParty/rocksdb  -L../bin  -Wl,-rpath,/work/ArangoDB/build/3rdParty/jemalloc/lib:/work/ArangoDB/build/3rdParty/zlib/zlib-1.2.13:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/gypfiles:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu:/work/ArangoDB/build/3rdParty/rocksdb:/work/ArangoDB/build/bin: ../bin/libarango.a ../bin/libarango_v8.a -lv8_base_without_compiler -lv8_compiler -lv8_base_without_compiler -ltorque_base -lv8_libplatform -lv8_libsampler -lv8_libbase -lv8_init -lv8_initializers -lv8_snapshot ../bin/libfuerte.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -ldl -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libboost_system.a ../bin/libarango_shell.a ../bin/libarango.a -lv8_base_without_compiler -lv8_compiler -lv8_base_without_compiler -lv8_compiler -ltorque_base -lv8_libplatform -lv8_libsampler -lv8_libbase -lv8_init -lv8_initializers -lv8_snapshot ../bin/libs2.a ../bin/libabsl_str_format_internal.a ../bin/libarango_crashhandler.a ../bin/liblinenoise-ng.a ../bin/libarango_lightweight.a ../bin/libarango_futures.a ../bin/libarango_static_strings.a ../bin/libabsl_cord.a ../bin/libabsl_cordz_info.a ../bin/libabsl_cord_internal.a ../bin/libabsl_cordz_functions.a ../bin/libabsl_cordz_handle.a ../bin/libabsl_crc_cord_state.a ../bin/libabsl_crc32c.a ../bin/libabsl_crc_internal.a ../bin/libabsl_crc_cpu_detect.a ../bin/libabsl_raw_hash_set.a ../bin/libabsl_hash.a ../bin/libabsl_city.a ../bin/libabsl_bad_variant_access.a ../bin/libabsl_low_level_hash.a ../bin/libabsl_bad_optional_access.a ../bin/libabsl_hashtablez_sampler.a ../bin/libabsl_exponential_biased.a ../bin/libabsl_synchronization.a ../bin/libabsl_graphcycles_internal.a ../bin/libabsl_kernel_timeout_internal.a ../bin/libabsl_stacktrace.a ../bin/libabsl_symbolize.a ../bin/libabsl_malloc_internal.a ../bin/libabsl_debugging_internal.a ../bin/libabsl_demangle_internal.a ../bin/libabsl_time.a ../bin/libabsl_strings.a ../bin/libabsl_strings_internal.a ../bin/libabsl_throw_delegate.a ../bin/libabsl_base.a ../bin/libabsl_spinlock_wait.a -lrt ../bin/libabsl_int128.a ../bin/libabsl_raw_logging_internal.a ../bin/libabsl_log_severity.a ../bin/libabsl_civil_time.a ../bin/libabsl_time_zone.a ../bin/libarango_assertions.a ../bin/libfmt.a ../bin/libsnappy.a ../3rdParty/libunwind/v1.5/src/.libs/libunwind.a ../bin/libfuerte.a ../bin/libvelocypack.a ../bin/libnghttp2.a ../bin/libllhttp.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libboost_system.a 
cd ..

echo arangovpack
cd client-tools
clang++-16 -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations  -mfxsr -mmmx -msse -msse2 -mcx16 -msahf -mpopcnt -msse3 -msse4.1 -msse4.2 -mssse3 -mpclmul -mavx -mxsave   -fno-stack-protector   -Wsuggest-override -Wnon-virtual-dtor -g -O3 -fno-omit-frame-pointer -fstandalone-debug -Wl,--build-id=sha1   -fno-stack-protector -fuse-ld=lld -static  CMakeFiles/arangovpack.dir/VPack/VPackFeature.cpp.o CMakeFiles/arangovpack.dir/VPack/arangovpack.cpp.o -o ../bin/arangovpack   -L../3rdParty/jemalloc/lib  -L../3rdParty/zlib/zlib-1.2.13  -L../3rdParty/V8/v7.9.317/x64.release/gypfiles  -L../3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu  -L../3rdParty/rocksdb  -L../bin  -Wl,-rpath,/work/ArangoDB/build/3rdParty/jemalloc/lib:/work/ArangoDB/build/3rdParty/zlib/zlib-1.2.13:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/gypfiles:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu:/work/ArangoDB/build/3rdParty/rocksdb:/work/ArangoDB/build/bin: ../bin/libarango.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -ldl -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libboost_system.a ../bin/libarango_shell.a ../bin/libarango.a ../bin/libs2.a ../bin/libabsl_str_format_internal.a ../bin/libarango_crashhandler.a ../bin/liblinenoise-ng.a -lv8_base_without_compiler -lv8_compiler -lv8_base_without_compiler -lv8_compiler -ltorque_base -lv8_libplatform -lv8_libsampler -lv8_libbase -lv8_init -lv8_initializers -lv8_snapshot ../bin/libarango_lightweight.a ../bin/libarango_futures.a ../bin/libarango_static_strings.a ../bin/libabsl_cord.a ../bin/libabsl_cordz_info.a ../bin/libabsl_cord_internal.a ../bin/libabsl_cordz_functions.a ../bin/libabsl_cordz_handle.a ../bin/libabsl_crc_cord_state.a ../bin/libabsl_crc32c.a ../bin/libabsl_crc_internal.a ../bin/libabsl_crc_cpu_detect.a ../bin/libabsl_raw_hash_set.a ../bin/libabsl_hash.a ../bin/libabsl_city.a ../bin/libabsl_bad_variant_access.a ../bin/libabsl_low_level_hash.a ../bin/libabsl_bad_optional_access.a ../bin/libabsl_hashtablez_sampler.a ../bin/libabsl_exponential_biased.a ../bin/libabsl_synchronization.a ../bin/libabsl_graphcycles_internal.a ../bin/libabsl_kernel_timeout_internal.a ../bin/libabsl_stacktrace.a ../bin/libabsl_symbolize.a ../bin/libabsl_malloc_internal.a ../bin/libabsl_debugging_internal.a ../bin/libabsl_demangle_internal.a ../bin/libabsl_time.a ../bin/libabsl_strings.a ../bin/libabsl_strings_internal.a ../bin/libabsl_throw_delegate.a ../bin/libabsl_base.a ../bin/libabsl_spinlock_wait.a -lrt ../bin/libabsl_int128.a ../bin/libabsl_raw_logging_internal.a ../bin/libabsl_log_severity.a ../bin/libabsl_civil_time.a ../bin/libabsl_time_zone.a ../bin/libarango_assertions.a ../bin/libfmt.a ../bin/libsnappy.a ../3rdParty/libunwind/v1.5/src/.libs/libunwind.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libfuerte.a ../bin/libboost_system.a ../bin/libvelocypack.a ../bin/libnghttp2.a ../bin/libllhttp.a 
cd ..

echo arangobackup
cd client-tools
clang++-16 -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations  -mfxsr -mmmx -msse -msse2 -mcx16 -msahf -mpopcnt -msse3 -msse4.1 -msse4.2 -mssse3 -mpclmul -mavx -mxsave   -fno-stack-protector   -Wsuggest-override -Wnon-virtual-dtor -g -O3 -fno-omit-frame-pointer -fstandalone-debug -Wl,--build-id=sha1   -fno-stack-protector -fuse-ld=lld -static  CMakeFiles/arangobackup.dir/Backup/BackupFeature.cpp.o CMakeFiles/arangobackup.dir/Backup/arangobackup.cpp.o -o ../bin/arangobackup   -L../3rdParty/jemalloc/lib  -L../3rdParty/zlib/zlib-1.2.13  -L../3rdParty/V8/v7.9.317/x64.release/gypfiles  -L../3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu  -L../3rdParty/rocksdb  -L../bin  -Wl,-rpath,/work/ArangoDB/build/3rdParty/jemalloc/lib:/work/ArangoDB/build/3rdParty/zlib/zlib-1.2.13:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/gypfiles:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu:/work/ArangoDB/build/3rdParty/rocksdb:/work/ArangoDB/build/bin: ../bin/libarango.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -ldl -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libboost_system.a ../bin/libarango_shell.a ../bin/libfuerte.a ../bin/libarango.a ../bin/libs2.a ../bin/libabsl_str_format_internal.a ../bin/libarango_crashhandler.a ../bin/liblinenoise-ng.a -lv8_base_without_compiler -lv8_compiler -lv8_base_without_compiler -lv8_compiler -ltorque_base -lv8_libplatform -lv8_libsampler -lv8_libbase -lv8_init -lv8_initializers -lv8_snapshot ../bin/libarango_lightweight.a ../bin/libarango_futures.a ../bin/libarango_static_strings.a ../bin/libabsl_cord.a ../bin/libabsl_cordz_info.a ../bin/libabsl_cord_internal.a ../bin/libabsl_cordz_functions.a ../bin/libabsl_cordz_handle.a ../bin/libabsl_crc_cord_state.a ../bin/libabsl_crc32c.a ../bin/libabsl_crc_internal.a ../bin/libabsl_crc_cpu_detect.a ../bin/libabsl_raw_hash_set.a ../bin/libabsl_hash.a ../bin/libabsl_city.a ../bin/libabsl_bad_variant_access.a ../bin/libabsl_low_level_hash.a ../bin/libabsl_bad_optional_access.a ../bin/libabsl_hashtablez_sampler.a ../bin/libabsl_exponential_biased.a ../bin/libabsl_synchronization.a ../bin/libabsl_graphcycles_internal.a ../bin/libabsl_kernel_timeout_internal.a ../bin/libabsl_stacktrace.a ../bin/libabsl_symbolize.a ../bin/libabsl_malloc_internal.a ../bin/libabsl_debugging_internal.a ../bin/libabsl_demangle_internal.a ../bin/libabsl_time.a ../bin/libabsl_strings.a ../bin/libabsl_strings_internal.a ../bin/libabsl_throw_delegate.a ../bin/libabsl_base.a ../bin/libabsl_spinlock_wait.a -lrt ../bin/libabsl_int128.a ../bin/libabsl_raw_logging_internal.a ../bin/libabsl_log_severity.a ../bin/libabsl_civil_time.a ../bin/libabsl_time_zone.a ../bin/libarango_assertions.a ../bin/libfmt.a ../bin/libsnappy.a ../3rdParty/libunwind/v1.5/src/.libs/libunwind.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libboost_system.a ../bin/libvelocypack.a ../bin/libnghttp2.a ../bin/libllhttp.a 
cd ..

echo arangoexport
cd client-tools
clang++-16 -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations  -mfxsr -mmmx -msse -msse2 -mcx16 -msahf -mpopcnt -msse3 -msse4.1 -msse4.2 -mssse3 -mpclmul -mavx -mxsave   -fno-stack-protector   -Wsuggest-override -Wnon-virtual-dtor -g -O3 -fno-omit-frame-pointer -fstandalone-debug -Wl,--build-id=sha1   -fno-stack-protector -fuse-ld=lld -static  CMakeFiles/arangoexport.dir/Export/ExportFeature.cpp.o CMakeFiles/arangoexport.dir/Export/arangoexport.cpp.o -o ../bin/arangoexport   -L../3rdParty/jemalloc/lib  -L../3rdParty/zlib/zlib-1.2.13  -L../3rdParty/V8/v7.9.317/x64.release/gypfiles  -L../3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu  -L../3rdParty/rocksdb  -L../bin  -Wl,-rpath,/work/ArangoDB/build/3rdParty/jemalloc/lib:/work/ArangoDB/build/3rdParty/zlib/zlib-1.2.13:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/gypfiles:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu:/work/ArangoDB/build/3rdParty/rocksdb:/work/ArangoDB/build/bin: ../bin/libarango.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -ldl -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libboost_system.a ../bin/libarango_shell.a ../bin/libarango.a ../bin/libs2.a ../bin/libabsl_str_format_internal.a ../bin/libarango_crashhandler.a ../bin/liblinenoise-ng.a -lv8_base_without_compiler -lv8_compiler -lv8_base_without_compiler -lv8_compiler -ltorque_base -lv8_libplatform -lv8_libsampler -lv8_libbase -lv8_init -lv8_initializers -lv8_snapshot ../bin/libarango_lightweight.a ../bin/libarango_futures.a ../bin/libarango_static_strings.a ../bin/libabsl_cord.a ../bin/libabsl_cordz_info.a ../bin/libabsl_cord_internal.a ../bin/libabsl_cordz_functions.a ../bin/libabsl_cordz_handle.a ../bin/libabsl_crc_cord_state.a ../bin/libabsl_crc32c.a ../bin/libabsl_crc_internal.a ../bin/libabsl_crc_cpu_detect.a ../bin/libabsl_raw_hash_set.a ../bin/libabsl_hash.a ../bin/libabsl_city.a ../bin/libabsl_bad_variant_access.a ../bin/libabsl_low_level_hash.a ../bin/libabsl_bad_optional_access.a ../bin/libabsl_hashtablez_sampler.a ../bin/libabsl_exponential_biased.a ../bin/libabsl_synchronization.a ../bin/libabsl_graphcycles_internal.a ../bin/libabsl_kernel_timeout_internal.a ../bin/libabsl_stacktrace.a ../bin/libabsl_symbolize.a ../bin/libabsl_malloc_internal.a ../bin/libabsl_debugging_internal.a ../bin/libabsl_demangle_internal.a ../bin/libabsl_time.a ../bin/libabsl_strings.a ../bin/libabsl_strings_internal.a ../bin/libabsl_throw_delegate.a ../bin/libabsl_base.a ../bin/libabsl_spinlock_wait.a -lrt ../bin/libabsl_int128.a ../bin/libabsl_raw_logging_internal.a ../bin/libabsl_log_severity.a ../bin/libabsl_civil_time.a ../bin/libabsl_time_zone.a ../bin/libarango_assertions.a ../bin/libfmt.a ../bin/libsnappy.a ../3rdParty/libunwind/v1.5/src/.libs/libunwind.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libfuerte.a ../bin/libboost_system.a ../bin/libvelocypack.a ../bin/libnghttp2.a ../bin/libllhttp.a 
cd ..

echo arangoimport
cd client-tools
clang++-16 -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations  -mfxsr -mmmx -msse -msse2 -mcx16 -msahf -mpopcnt -msse3 -msse4.1 -msse4.2 -mssse3 -mpclmul -mavx -mxsave   -fno-stack-protector   -Wsuggest-override -Wnon-virtual-dtor -g -O3 -fno-omit-frame-pointer -fstandalone-debug -Wl,--build-id=sha1   -fno-stack-protector -fuse-ld=lld -static  CMakeFiles/arangoimport.dir/Import/AutoTuneThread.cpp.o CMakeFiles/arangoimport.dir/Import/ImportFeature.cpp.o CMakeFiles/arangoimport.dir/Import/ImportHelper.cpp.o CMakeFiles/arangoimport.dir/Import/SenderThread.cpp.o CMakeFiles/arangoimport.dir/Import/arangoimport.cpp.o -o ../bin/arangoimport   -L../3rdParty/jemalloc/lib  -L../3rdParty/zlib/zlib-1.2.13  -L../3rdParty/V8/v7.9.317/x64.release/gypfiles  -L../3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu  -L../3rdParty/rocksdb  -L../bin  -Wl,-rpath,/work/ArangoDB/build/3rdParty/jemalloc/lib:/work/ArangoDB/build/3rdParty/zlib/zlib-1.2.13:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/gypfiles:/work/ArangoDB/build/3rdParty/V8/v7.9.317/x64.release/obj.target/third_party/icu:/work/ArangoDB/build/3rdParty/rocksdb:/work/ArangoDB/build/bin: ../bin/libarango.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -ldl -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libboost_system.a ../bin/libarango_shell.a ../bin/libarango.a ../bin/libs2.a ../bin/libabsl_str_format_internal.a ../bin/libarango_crashhandler.a ../bin/liblinenoise-ng.a -lv8_base_without_compiler -lv8_compiler -lv8_base_without_compiler -lv8_compiler -ltorque_base -lv8_libplatform -lv8_libsampler -lv8_libbase -lv8_init -lv8_initializers -lv8_snapshot ../bin/libarango_lightweight.a ../bin/libarango_futures.a ../bin/libarango_static_strings.a ../bin/libabsl_cord.a ../bin/libabsl_cordz_info.a ../bin/libabsl_cord_internal.a ../bin/libabsl_cordz_functions.a ../bin/libabsl_cordz_handle.a ../bin/libabsl_crc_cord_state.a ../bin/libabsl_crc32c.a ../bin/libabsl_crc_internal.a ../bin/libabsl_crc_cpu_detect.a ../bin/libabsl_raw_hash_set.a ../bin/libabsl_hash.a ../bin/libabsl_city.a ../bin/libabsl_bad_variant_access.a ../bin/libabsl_low_level_hash.a ../bin/libabsl_bad_optional_access.a ../bin/libabsl_hashtablez_sampler.a ../bin/libabsl_exponential_biased.a ../bin/libabsl_synchronization.a ../bin/libabsl_graphcycles_internal.a ../bin/libabsl_kernel_timeout_internal.a ../bin/libabsl_stacktrace.a ../bin/libabsl_symbolize.a ../bin/libabsl_malloc_internal.a ../bin/libabsl_debugging_internal.a ../bin/libabsl_demangle_internal.a ../bin/libabsl_time.a ../bin/libabsl_strings.a ../bin/libabsl_strings_internal.a ../bin/libabsl_throw_delegate.a ../bin/libabsl_base.a ../bin/libabsl_spinlock_wait.a -lrt ../bin/libabsl_int128.a ../bin/libabsl_raw_logging_internal.a ../bin/libabsl_log_severity.a ../bin/libabsl_civil_time.a ../bin/libabsl_time_zone.a ../bin/libarango_assertions.a ../bin/libfmt.a ../bin/libsnappy.a ../3rdParty/libunwind/v1.5/src/.libs/libunwind.a ../bin/libzlibstatic.a -licui18n -licuuc ../libssl.a ../libcrypto.a -latomic -lresolv -lrt -ljemalloc -ldl ../bin/libfuerte.a ../bin/libboost_system.a ../bin/libvelocypack.a ../bin/libnghttp2.a ../bin/libllhttp.a 
cd ..

